AIXBT Docs
REST APIReference

Get Project

GET
/v2/projects/{id}

Returns a project by ID, including the 10 most recent signals, full coingeckoData, and its canonical trend score.

Authorization

ApiKeyAuth
x-api-key<token>

API key to authorize requests

In: header

Path Parameters

id*string

MongoDB ObjectId of the project

Query Parameters

intelSortBy?string

Sort embedded intel by last reinforced date or original detection date

Default"reinforcedAt"
Value in"reinforcedAt" | "detectedAt"
intelActivity?string

Controls activity data on embedded intel items. all (default) — full timeline; observations — observation entries only; none — omit activity array.

Default"all"
Value in"all" | "observations" | "none"
at?string

Historical timestamp (ISO 8601). Returns project data as it existed at this point in time. Must be in the past. When used, responses include a provenance field indicating data source.

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/projects/string?at=2026-03-25T12%3A00%3A00Z"
{
  "status": 200,
  "meta": {
    "history": {
      "archiveAccess": true,
      "enforced": true,
      "lookbackDays": 90,
      "earliestAvailableAt": "2019-08-24T14:15:22Z",
      "enforcementAt": "2026-08-17T00:00:00.000Z"
    }
  },
  "data": {
    "id": "507f1f77bcf86cd799439011",
    "name": "ethereum",
    "description": "string",
    "rationale": "string",
    "xHandle": "ethereum",
    "trendScore": 85,
    "trendScoreDelta": 0,
    "rank": 7,
    "coingeckoData": {
      "apiId": "ethereum",
      "symbol": "eth",
      "slug": "string",
      "description": "string",
      "contractAddress": "string",
      "categories": [
        "string"
      ],
      "image": {
        "thumb": "http://example.com",
        "small": "http://example.com",
        "large": "http://example.com"
      }
    },
    "metrics": {
      "usd": 0,
      "usdMarketCap": 0,
      "usd24hVol": 0,
      "usd24hChange": 0,
      "lastUpdatedAt": 0,
      "high24h": 0,
      "low24h": 0,
      "athUsd": 0,
      "athDate": "2019-08-24T14:15:22Z",
      "athChangePct": 0,
      "priceChange7d": 0,
      "priceChange14d": 0,
      "priceChange30d": 0
    },
    "tokens": [
      {
        "chain": "string",
        "address": "string",
        "source": "string",
        "primary": true
      }
    ],
    "primaryComputedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "reinforcedAt": "2019-08-24T14:15:22Z",
    "provenance": "historical",
    "momentumContext": {
      "trendTrajectory": "rising",
      "distinctClusters": 0,
      "peakRank48h": 0,
      "bestRank14d": 0,
      "rankedSince": "2019-08-24T14:15:22Z",
      "leaderboard": {
        "top10": {
          "enteredAt": "2019-08-24T14:15:22Z",
          "currentHours": 0,
          "wasYesterday": true,
          "entryCount24h": 0,
          "stabilityLabel": "flash"
        },
        "top25": {
          "enteredAt": "2019-08-24T14:15:22Z",
          "currentHours": 0,
          "wasYesterday": true,
          "entryCount24h": 0,
          "stabilityLabel": "flash"
        }
      }
    },
    "signals": [
      {
        "id": "string",
        "detectedAt": "2019-08-24T14:15:22Z",
        "reinforcedAt": "2019-08-24T14:15:22Z",
        "description": "string",
        "headline": "string",
        "projectName": "string",
        "projectId": "string",
        "category": "string",
        "citations": [
          "string"
        ],
        "observationCount": 0,
        "hasOfficialSource": true,
        "sentiment": -1,
        "referencesMetrics": true,
        "clusters": [
          {
            "id": "string",
            "name": "string"
          }
        ],
        "activity": [
          {
            "id": "string",
            "date": "2019-08-24T14:15:22Z",
            "action": "string",
            "source": "string",
            "actor": {
              "type": "string"
            },
            "officialSourceUrl": "http://example.com",
            "clusters": [
              {
                "id": "string",
                "name": "string"
              }
            ],
            "incoming": "string",
            "result": "string",
            "headline": "string",
            "sentiment": -1,
            "citationEvidence": [
              {
                "id": "string",
                "url": "string",
                "targetActivityIds": [
                  "string"
                ]
              }
            ],
            "fromSignal": {
              "signalId": "string",
              "projectId": "string",
              "projectName": "string"
            },
            "isOfficial": true,
            "changelog": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}